
namespace MenuGenerator.Forms
{
    partial class MainForm
    {
        private System.ComponentModel.IContainer components = null;

        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
                components.Dispose();
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
            this.toolStrip1 = new System.Windows.Forms.ToolStrip();
            this.btn_prj_new = new System.Windows.Forms.ToolStripButton();
            this.btn_prj_open = new System.Windows.Forms.ToolStripButton();
            this.btn_prj_save = new System.Windows.Forms.ToolStripButton();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripButtonMenuH = new System.Windows.Forms.ToolStripButton();
            this.toolStripButtonMenuC = new System.Windows.Forms.ToolStripButton();
            this.panel1 = new System.Windows.Forms.Panel();
            this.treeView1 = new System.Windows.Forms.TreeView();
            this.contextMenuStrip1 = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.cmnuAddNode = new System.Windows.Forms.ToolStripMenuItem();
            this.cmnuRemoveNode = new System.Windows.Forms.ToolStripMenuItem();
            this.RenameMenu = new System.Windows.Forms.ToolStripMenuItem();
            this.label12 = new System.Windows.Forms.Label();
            this.label65 = new System.Windows.Forms.Label();
            this.tBoxNameNode = new System.Windows.Forms.TextBox();
            this.label63 = new System.Windows.Forms.Label();
            this.tBoxTypeNode = new System.Windows.Forms.TextBox();
            this.label62 = new System.Windows.Forms.Label();
            this.tBoxVolNode = new System.Windows.Forms.TextBox();
            this.label55 = new System.Windows.Forms.Label();
            this.tBoxMinNode = new System.Windows.Forms.TextBox();
            this.label54 = new System.Windows.Forms.Label();
            this.tBoxMaxNode = new System.Windows.Forms.TextBox();
            this.label53 = new System.Windows.Forms.Label();
            this.tBoxStepNode = new System.Windows.Forms.TextBox();
            this.label64 = new System.Windows.Forms.Label();
            this.tBoxTagNode = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.tBoxParent = new System.Windows.Forms.TextBox();
            this.label2 = new System.Windows.Forms.Label();
            this.tBoxChFirst = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.tBoxChEnd = new System.Windows.Forms.TextBox();
            this.label8 = new System.Windows.Forms.Label();
            this.tBoxCount = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.label66 = new System.Windows.Forms.Label();
            this.txtNewNodeName = new System.Windows.Forms.TextBox();
            this.panel2 = new System.Windows.Forms.Panel();
            this.tabControl2 = new System.Windows.Forms.TabControl();
            this.tabPagePRJ = new System.Windows.Forms.TabPage();
            this.label10 = new System.Windows.Forms.Label();
            this.lbNamePRJ = new System.Windows.Forms.Label();
            this.label21 = new System.Windows.Forms.Label();
            this.lbPatchPRJ = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.lbCountNode = new System.Windows.Forms.Label();
            this.label7 = new System.Windows.Forms.Label();
            this.lbNameMenu = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.tBoxNameMenu = new System.Windows.Forms.TextBox();
            this.label4 = new System.Windows.Forms.Label();
            this.cBoxTypeLCD = new System.Windows.Forms.ComboBox();
            this.label11 = new System.Windows.Forms.Label();
            this.cBoxTypeControl = new System.Windows.Forms.ComboBox();
            this.label15 = new System.Windows.Forms.Label();
            this.cBoxTypeCPU = new System.Windows.Forms.ComboBox();
            this.label20 = new System.Windows.Forms.Label();
            this.tBoxCountPMenu = new System.Windows.Forms.TextBox();
            this.button1 = new System.Windows.Forms.Button();
            this.button3 = new System.Windows.Forms.Button();
            this.tabPageMenuH = new System.Windows.Forms.TabPage();
            this.OutCodeMenuH = new FastColoredTextBoxNS.FastColoredTextBox();
            this.tabPageMenuC = new System.Windows.Forms.TabPage();
            this.OutCodeMenuC = new FastColoredTextBoxNS.FastColoredTextBox();
            this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
            this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
            this.toolStrip1.SuspendLayout();
            this.panel1.SuspendLayout();
            this.contextMenuStrip1.SuspendLayout();
            this.panel2.SuspendLayout();
            this.tabControl2.SuspendLayout();
            this.tabPagePRJ.SuspendLayout();
            this.tabPageMenuH.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.OutCodeMenuH)).BeginInit();
            this.tabPageMenuC.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.OutCodeMenuC)).BeginInit();
            this.SuspendLayout();
            // 
            // toolStrip1
            // 
            this.toolStrip1.ImageScalingSize = new System.Drawing.Size(20, 20);
            this.toolStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.btn_prj_new,
            this.btn_prj_open,
            this.btn_prj_save,
            this.toolStripSeparator1,
            this.toolStripButtonMenuH,
            this.toolStripButtonMenuC});
            this.toolStrip1.Location = new System.Drawing.Point(0, 0);
            this.toolStrip1.Name = "toolStrip1";
            this.toolStrip1.Size = new System.Drawing.Size(1600, 31);
            this.toolStrip1.TabIndex = 0;
            this.toolStrip1.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.toolStrip1_ItemClicked);
            // 
            // btn_prj_new
            // 
            this.btn_prj_new.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.btn_prj_new.Image = global::MenuGenerator.Properties.Resources.btn_prj_new_Image;
            this.btn_prj_new.Name = "btn_prj_new";
            this.btn_prj_new.Size = new System.Drawing.Size(29, 28);
            this.btn_prj_new.Text = "Новый проект";
            this.btn_prj_new.Click += new System.EventHandler(this.btn_prj_new_Click);
            // 
            // btn_prj_open
            // 
            this.btn_prj_open.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.btn_prj_open.Image = global::MenuGenerator.Properties.Resources.btn_prj_open_Image;
            this.btn_prj_open.Name = "btn_prj_open";
            this.btn_prj_open.Size = new System.Drawing.Size(29, 28);
            this.btn_prj_open.Text = "Открыть проект";
            this.btn_prj_open.Click += new System.EventHandler(this.btn_prj_open_Click);
            // 
            // btn_prj_save
            // 
            this.btn_prj_save.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.btn_prj_save.Image = global::MenuGenerator.Properties.Resources.btn_prj_save_Image;
            this.btn_prj_save.Name = "btn_prj_save";
            this.btn_prj_save.Size = new System.Drawing.Size(29, 28);
            this.btn_prj_save.Text = "Сохранить проект";
            this.btn_prj_save.Click += new System.EventHandler(this.btn_prj_save_Click);
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(6, 31);
            // 
            // toolStripButtonMenuH
            // 
            this.toolStripButtonMenuH.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.toolStripButtonMenuH.Name = "toolStripButtonMenuH";
            this.toolStripButtonMenuH.Size = new System.Drawing.Size(61, 28);
            this.toolStripButtonMenuH.Text = "Menu.h";
            this.toolStripButtonMenuH.Click += new System.EventHandler(this.toolStripButtonMenuH_Click);
            // 
            // toolStripButtonMenuC
            // 
            this.toolStripButtonMenuC.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.toolStripButtonMenuC.Name = "toolStripButtonMenuC";
            this.toolStripButtonMenuC.Size = new System.Drawing.Size(60, 28);
            this.toolStripButtonMenuC.Text = "Menu.c";
            this.toolStripButtonMenuC.Click += new System.EventHandler(this.toolStripButtonMenuC_Click);
            // 
            // panel1
            // 
            this.panel1.BackColor = System.Drawing.SystemColors.Control;
            this.panel1.Controls.Add(this.label12);
            this.panel1.Controls.Add(this.label65);
            this.panel1.Controls.Add(this.tBoxNameNode);
            this.panel1.Controls.Add(this.label63);
            this.panel1.Controls.Add(this.tBoxTypeNode);
            this.panel1.Controls.Add(this.label62);
            this.panel1.Controls.Add(this.tBoxVolNode);
            this.panel1.Controls.Add(this.label55);
            this.panel1.Controls.Add(this.tBoxMinNode);
            this.panel1.Controls.Add(this.label54);
            this.panel1.Controls.Add(this.tBoxMaxNode);
            this.panel1.Controls.Add(this.label53);
            this.panel1.Controls.Add(this.tBoxStepNode);
            this.panel1.Controls.Add(this.label64);
            this.panel1.Controls.Add(this.tBoxTagNode);
            this.panel1.Controls.Add(this.label1);
            this.panel1.Controls.Add(this.tBoxParent);
            this.panel1.Controls.Add(this.label2);
            this.panel1.Controls.Add(this.tBoxChFirst);
            this.panel1.Controls.Add(this.label6);
            this.panel1.Controls.Add(this.tBoxChEnd);
            this.panel1.Controls.Add(this.label8);
            this.panel1.Controls.Add(this.tBoxCount);
            this.panel1.Controls.Add(this.label9);
            this.panel1.Controls.Add(this.textBox1);
            this.panel1.Controls.Add(this.label66);
            this.panel1.Controls.Add(this.txtNewNodeName);
            this.panel1.Controls.Add(this.treeView1);
            this.panel1.Dock = System.Windows.Forms.DockStyle.Left;
            this.panel1.Location = new System.Drawing.Point(0, 31);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(626, 647);
            this.panel1.TabIndex = 1;
            // 
            // treeView1
            // 
            this.treeView1.BackColor = System.Drawing.Color.WhiteSmoke;
            this.treeView1.ContextMenuStrip = this.contextMenuStrip1;
            this.treeView1.Dock = System.Windows.Forms.DockStyle.Left;
            this.treeView1.Location = new System.Drawing.Point(0, 0);
            this.treeView1.Name = "treeView1";
            this.treeView1.Size = new System.Drawing.Size(289, 647);
            this.treeView1.TabIndex = 0;
            this.treeView1.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.treeView1_AfterSelect);
            // 
            // contextMenuStrip1
            // 
            this.contextMenuStrip1.ImageScalingSize = new System.Drawing.Size(20, 20);
            this.contextMenuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.cmnuAddNode,
            this.cmnuRemoveNode,
            this.RenameMenu});
            this.contextMenuStrip1.Name = "contextMenuStrip1";
            this.contextMenuStrip1.Size = new System.Drawing.Size(181, 76);
            // 
            // cmnuAddNode
            // 
            this.cmnuAddNode.Name = "cmnuAddNode";
            this.cmnuAddNode.Size = new System.Drawing.Size(180, 24);
            this.cmnuAddNode.Text = "Добавить";
            this.cmnuAddNode.Click += new System.EventHandler(this.cmnuAddNode_Click_1);
            // 
            // cmnuRemoveNode
            // 
            this.cmnuRemoveNode.Name = "cmnuRemoveNode";
            this.cmnuRemoveNode.Size = new System.Drawing.Size(180, 24);
            this.cmnuRemoveNode.Text = "Удалить";
            this.cmnuRemoveNode.Click += new System.EventHandler(this.cmnuRemoveNode_Click_1);
            // 
            // RenameMenu
            // 
            this.RenameMenu.Name = "RenameMenu";
            this.RenameMenu.Size = new System.Drawing.Size(180, 24);
            this.RenameMenu.Text = "Редактировать";
            this.RenameMenu.Click += new System.EventHandler(this.RenameMenu_Click_1);
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.label12.Location = new System.Drawing.Point(295, 13);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(198, 17);
            this.label12.TabIndex = 1;
            this.label12.Text = "Параметры пункта меню:";
            // 
            // label65
            // 
            this.label65.AutoSize = true;
            this.label65.Location = new System.Drawing.Point(295, 76);
            this.label65.Name = "label65";
            this.label65.Size = new System.Drawing.Size(125, 16);
            this.label65.TabIndex = 2;
            this.label65.Text = "Название пункта:";
            // 
            // tBoxNameNode
            // 
            this.tBoxNameNode.Location = new System.Drawing.Point(436, 72);
            this.tBoxNameNode.Name = "tBoxNameNode";
            this.tBoxNameNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxNameNode.TabIndex = 0;
            // 
            // label63
            // 
            this.label63.AutoSize = true;
            this.label63.Location = new System.Drawing.Point(298, 105);
            this.label63.Name = "label63";
            this.label63.Size = new System.Drawing.Size(119, 16);
            this.label63.TabIndex = 3;
            this.label63.Text = "Тип переменной:";
            // 
            // tBoxTypeNode
            // 
            this.tBoxTypeNode.Location = new System.Drawing.Point(436, 101);
            this.tBoxTypeNode.Name = "tBoxTypeNode";
            this.tBoxTypeNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxTypeNode.TabIndex = 1;
            // 
            // label62
            // 
            this.label62.AutoSize = true;
            this.label62.Location = new System.Drawing.Point(346, 136);
            this.label62.Name = "label62";
            this.label62.Size = new System.Drawing.Size(75, 16);
            this.label62.TabIndex = 4;
            this.label62.Text = "Значение:";
            // 
            // tBoxVolNode
            // 
            this.tBoxVolNode.Location = new System.Drawing.Point(436, 132);
            this.tBoxVolNode.Name = "tBoxVolNode";
            this.tBoxVolNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxVolNode.TabIndex = 2;
            // 
            // label55
            // 
            this.label55.AutoSize = true;
            this.label55.Location = new System.Drawing.Point(347, 168);
            this.label55.Name = "label55";
            this.label55.Size = new System.Drawing.Size(71, 16);
            this.label55.TabIndex = 5;
            this.label55.Text = "Минимум:";
            // 
            // tBoxMinNode
            // 
            this.tBoxMinNode.Location = new System.Drawing.Point(436, 164);
            this.tBoxMinNode.Name = "tBoxMinNode";
            this.tBoxMinNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxMinNode.TabIndex = 3;
            // 
            // label54
            // 
            this.label54.AutoSize = true;
            this.label54.Location = new System.Drawing.Point(339, 199);
            this.label54.Name = "label54";
            this.label54.Size = new System.Drawing.Size(77, 16);
            this.label54.TabIndex = 6;
            this.label54.Text = "Максимум:";
            // 
            // tBoxMaxNode
            // 
            this.tBoxMaxNode.Location = new System.Drawing.Point(436, 195);
            this.tBoxMaxNode.Name = "tBoxMaxNode";
            this.tBoxMaxNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxMaxNode.TabIndex = 4;
            // 
            // label53
            // 
            this.label53.AutoSize = true;
            this.label53.Location = new System.Drawing.Point(310, 228);
            this.label53.Name = "label53";
            this.label53.Size = new System.Drawing.Size(107, 16);
            this.label53.TabIndex = 7;
            this.label53.Text = "Шаг настройки:";
            // 
            // tBoxStepNode
            // 
            this.tBoxStepNode.Location = new System.Drawing.Point(436, 224);
            this.tBoxStepNode.Name = "tBoxStepNode";
            this.tBoxStepNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxStepNode.TabIndex = 5;
            // 
            // label64
            // 
            this.label64.AutoSize = true;
            this.label64.Location = new System.Drawing.Point(376, 258);
            this.label64.Name = "label64";
            this.label64.Size = new System.Drawing.Size(46, 16);
            this.label64.TabIndex = 8;
            this.label64.Text = "Table:";
            // 
            // tBoxTagNode
            // 
            this.tBoxTagNode.Location = new System.Drawing.Point(436, 254);
            this.tBoxTagNode.Name = "tBoxTagNode";
            this.tBoxTagNode.ReadOnly = true;
            this.tBoxTagNode.Size = new System.Drawing.Size(164, 22);
            this.tBoxTagNode.TabIndex = 6;
            this.tBoxTagNode.Text = "0:0:0:0:0:0:0:0:0";
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(368, 290);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(49, 16);
            this.label1.TabIndex = 9;
            this.label1.Text = "Parent:";
            // 
            // tBoxParent
            // 
            this.tBoxParent.Location = new System.Drawing.Point(436, 286);
            this.tBoxParent.Name = "tBoxParent";
            this.tBoxParent.ReadOnly = true;
            this.tBoxParent.Size = new System.Drawing.Size(164, 22);
            this.tBoxParent.TabIndex = 7;
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(336, 322);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(84, 16);
            this.label2.TabIndex = 10;
            this.label2.Text = "ChildrenFirst:";
            // 
            // tBoxChFirst
            // 
            this.tBoxChFirst.Location = new System.Drawing.Point(436, 318);
            this.tBoxChFirst.Name = "tBoxChFirst";
            this.tBoxChFirst.ReadOnly = true;
            this.tBoxChFirst.Size = new System.Drawing.Size(164, 22);
            this.tBoxChFirst.TabIndex = 8;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(335, 357);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(83, 16);
            this.label6.TabIndex = 11;
            this.label6.Text = "ChildrenEnd:";
            // 
            // tBoxChEnd
            // 
            this.tBoxChEnd.Location = new System.Drawing.Point(436, 354);
            this.tBoxChEnd.Name = "tBoxChEnd";
            this.tBoxChEnd.ReadOnly = true;
            this.tBoxChEnd.Size = new System.Drawing.Size(164, 22);
            this.tBoxChEnd.TabIndex = 9;
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(338, 391);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(78, 16);
            this.label8.TabIndex = 12;
            this.label8.Text = "CountNode:";
            // 
            // tBoxCount
            // 
            this.tBoxCount.Location = new System.Drawing.Point(436, 387);
            this.tBoxCount.Name = "tBoxCount";
            this.tBoxCount.ReadOnly = true;
            this.tBoxCount.Size = new System.Drawing.Size(164, 22);
            this.tBoxCount.TabIndex = 10;
            this.tBoxCount.Text = "0";
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(351, 423);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(66, 16);
            this.label9.TabIndex = 13;
            this.label9.Text = "Уровень:";
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(436, 419);
            this.textBox1.Name = "textBox1";
            this.textBox1.ReadOnly = true;
            this.textBox1.Size = new System.Drawing.Size(164, 22);
            this.textBox1.TabIndex = 11;
            this.textBox1.Text = "0";
            // 
            // label66
            // 
            this.label66.AutoSize = true;
            this.label66.Location = new System.Drawing.Point(382, 42);
            this.label66.Name = "label66";
            this.label66.Size = new System.Drawing.Size(36, 16);
            this.label66.TabIndex = 14;
            this.label66.Text = "Имя:";
            // 
            // txtNewNodeName
            // 
            this.txtNewNodeName.Location = new System.Drawing.Point(436, 40);
            this.txtNewNodeName.Name = "txtNewNodeName";
            this.txtNewNodeName.ReadOnly = true;
            this.txtNewNodeName.Size = new System.Drawing.Size(164, 22);
            this.txtNewNodeName.TabIndex = 12;
            // 
            // panel2
            // 
            this.panel2.Controls.Add(this.tabControl2);
            this.panel2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.panel2.Location = new System.Drawing.Point(626, 31);
            this.panel2.Name = "panel2";
            this.panel2.Size = new System.Drawing.Size(974, 647);
            this.panel2.TabIndex = 2;
            // 
            // tabControl2
            // 
            this.tabControl2.Controls.Add(this.tabPagePRJ);
            this.tabControl2.Controls.Add(this.tabPageMenuH);
            this.tabControl2.Controls.Add(this.tabPageMenuC);
            this.tabControl2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tabControl2.Location = new System.Drawing.Point(0, 0);
            this.tabControl2.Name = "tabControl2";
            this.tabControl2.SelectedIndex = 0;
            this.tabControl2.Size = new System.Drawing.Size(974, 647);
            this.tabControl2.TabIndex = 0;
            // 
            // tabPagePRJ
            // 
            this.tabPagePRJ.BackColor = System.Drawing.SystemColors.Control;
            this.tabPagePRJ.Controls.Add(this.label10);
            this.tabPagePRJ.Controls.Add(this.lbNamePRJ);
            this.tabPagePRJ.Controls.Add(this.label21);
            this.tabPagePRJ.Controls.Add(this.lbPatchPRJ);
            this.tabPagePRJ.Controls.Add(this.label5);
            this.tabPagePRJ.Controls.Add(this.lbCountNode);
            this.tabPagePRJ.Controls.Add(this.label7);
            this.tabPagePRJ.Controls.Add(this.lbNameMenu);
            this.tabPagePRJ.Controls.Add(this.label3);
            this.tabPagePRJ.Controls.Add(this.tBoxNameMenu);
            this.tabPagePRJ.Controls.Add(this.label4);
            this.tabPagePRJ.Controls.Add(this.cBoxTypeLCD);
            this.tabPagePRJ.Controls.Add(this.label11);
            this.tabPagePRJ.Controls.Add(this.cBoxTypeControl);
            this.tabPagePRJ.Controls.Add(this.label15);
            this.tabPagePRJ.Controls.Add(this.cBoxTypeCPU);
            this.tabPagePRJ.Controls.Add(this.label20);
            this.tabPagePRJ.Controls.Add(this.tBoxCountPMenu);
            this.tabPagePRJ.Controls.Add(this.button1);
            this.tabPagePRJ.Controls.Add(this.button3);
            this.tabPagePRJ.Location = new System.Drawing.Point(4, 25);
            this.tabPagePRJ.Name = "tabPagePRJ";
            this.tabPagePRJ.Size = new System.Drawing.Size(968, 622);
            this.tabPagePRJ.TabIndex = 0;
            this.tabPagePRJ.Text = "PRJ";
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(32, 17);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(58, 16);
            this.label10.TabIndex = 0;
            this.label10.Text = "Проект:";
            // 
            // lbNamePRJ
            // 
            this.lbNamePRJ.AutoSize = true;
            this.lbNamePRJ.ForeColor = System.Drawing.SystemColors.HotTrack;
            this.lbNamePRJ.Location = new System.Drawing.Point(103, 18);
            this.lbNamePRJ.Name = "lbNamePRJ";
            this.lbNamePRJ.Size = new System.Drawing.Size(19, 16);
            this.lbNamePRJ.TabIndex = 1;
            this.lbNamePRJ.Text = "---";
            // 
            // label21
            // 
            this.label21.AutoSize = true;
            this.label21.Location = new System.Drawing.Point(296, 17);
            this.label21.Name = "label21";
            this.label21.Size = new System.Drawing.Size(42, 16);
            this.label21.TabIndex = 2;
            this.label21.Text = "Путь:";
            // 
            // lbPatchPRJ
            // 
            this.lbPatchPRJ.AutoSize = true;
            this.lbPatchPRJ.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(64)))), ((int)(((byte)(0)))));
            this.lbPatchPRJ.Location = new System.Drawing.Point(367, 18);
            this.lbPatchPRJ.Name = "lbPatchPRJ";
            this.lbPatchPRJ.Size = new System.Drawing.Size(19, 16);
            this.lbPatchPRJ.TabIndex = 3;
            this.lbPatchPRJ.Text = "---";
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(32, 53);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(104, 16);
            this.label5.TabIndex = 4;
            this.label5.Text = "Пунктов меню:";
            // 
            // lbCountNode
            // 
            this.lbCountNode.AutoSize = true;
            this.lbCountNode.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.lbCountNode.Location = new System.Drawing.Point(143, 53);
            this.lbCountNode.Name = "lbCountNode";
            this.lbCountNode.Size = new System.Drawing.Size(14, 16);
            this.lbCountNode.TabIndex = 5;
            this.lbCountNode.Text = "0";
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(176, 53);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(116, 16);
            this.label7.TabIndex = 6;
            this.label7.Text = "Название Меню:";
            // 
            // lbNameMenu
            // 
            this.lbNameMenu.AutoSize = true;
            this.lbNameMenu.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.lbNameMenu.Location = new System.Drawing.Point(299, 53);
            this.lbNameMenu.Name = "lbNameMenu";
            this.lbNameMenu.Size = new System.Drawing.Size(40, 16);
            this.lbNameMenu.TabIndex = 7;
            this.lbNameMenu.Text = "menu";
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(53, 94);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(116, 16);
            this.label3.TabIndex = 8;
            this.label3.Text = "Название Меню:";
            // 
            // tBoxNameMenu
            // 
            this.tBoxNameMenu.Location = new System.Drawing.Point(192, 87);
            this.tBoxNameMenu.Name = "tBoxNameMenu";
            this.tBoxNameMenu.Size = new System.Drawing.Size(164, 22);
            this.tBoxNameMenu.TabIndex = 0;
            this.tBoxNameMenu.Text = "menu";
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(88, 123);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(85, 16);
            this.label4.TabIndex = 9;
            this.label4.Text = "Тип экрана:";
            // 
            // cBoxTypeLCD
            // 
            this.cBoxTypeLCD.FormattingEnabled = true;
            this.cBoxTypeLCD.Location = new System.Drawing.Point(192, 119);
            this.cBoxTypeLCD.Name = "cBoxTypeLCD";
            this.cBoxTypeLCD.Size = new System.Drawing.Size(164, 24);
            this.cBoxTypeLCD.TabIndex = 1;
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Location = new System.Drawing.Point(59, 156);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(117, 16);
            this.label11.TabIndex = 10;
            this.label11.Text = "Тип управления:";
            // 
            // cBoxTypeControl
            // 
            this.cBoxTypeControl.FormattingEnabled = true;
            this.cBoxTypeControl.Location = new System.Drawing.Point(192, 153);
            this.cBoxTypeControl.Name = "cBoxTypeControl";
            this.cBoxTypeControl.Size = new System.Drawing.Size(164, 24);
            this.cBoxTypeControl.TabIndex = 2;
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Location = new System.Drawing.Point(75, 187);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(57, 16);
            this.label15.TabIndex = 11;
            this.label15.Text = "Тип МК:";
            // 
            // cBoxTypeCPU
            // 
            this.cBoxTypeCPU.FormattingEnabled = true;
            this.cBoxTypeCPU.Location = new System.Drawing.Point(192, 183);
            this.cBoxTypeCPU.Name = "cBoxTypeCPU";
            this.cBoxTypeCPU.Size = new System.Drawing.Size(164, 24);
            this.cBoxTypeCPU.TabIndex = 3;
            // 
            // label20
            // 
            this.label20.AutoSize = true;
            this.label20.Location = new System.Drawing.Point(32, 220);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(145, 16);
            this.label20.TabIndex = 12;
            this.label20.Text = "Колич пунктов меню:";
            // 
            // tBoxCountPMenu
            // 
            this.tBoxCountPMenu.Location = new System.Drawing.Point(192, 217);
            this.tBoxCountPMenu.Name = "tBoxCountPMenu";
            this.tBoxCountPMenu.Size = new System.Drawing.Size(164, 22);
            this.tBoxCountPMenu.TabIndex = 4;
            this.tBoxCountPMenu.Text = "5";
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(192, 260);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(164, 30);
            this.button1.TabIndex = 5;
            this.button1.Text = "Загрузить последний";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(192, 300);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(164, 30);
            this.button3.TabIndex = 6;
            this.button3.Text = "Генерировать код";
            this.button3.UseVisualStyleBackColor = true;
            this.button3.Click += new System.EventHandler(this.button3_Click);
            // 
            // tabPageMenuH
            // 
            this.tabPageMenuH.BackColor = System.Drawing.SystemColors.Control;
            this.tabPageMenuH.Controls.Add(this.OutCodeMenuH);
            this.tabPageMenuH.Location = new System.Drawing.Point(4, 25);
            this.tabPageMenuH.Name = "tabPageMenuH";
            this.tabPageMenuH.Padding = new System.Windows.Forms.Padding(4);
            this.tabPageMenuH.Size = new System.Drawing.Size(968, 622);
            this.tabPageMenuH.TabIndex = 1;
            this.tabPageMenuH.Text = "Menu.h";
            // 
            // OutCodeMenuH
            // 
            this.OutCodeMenuH.AutoCompleteBracketsList = new char[] {
        '(',
        ')',
        '{',
        '}',
        '[',
        ']',
        '\"',
        '\"',
        '\'',
        '\''};
            this.OutCodeMenuH.AutoIndentCharsPatterns = "^\\s*[\\w\\.]+(\\s\\w+)?\\s*(?<range>=)\\s*(?<range>[^;=]+);\n^\\s*(case|default)\\s*[^:]*(" +
    "?<range>:)\\s*(?<range>[^;]+);";
            this.OutCodeMenuH.AutoIndentExistingLines = false;
            this.OutCodeMenuH.AutoScrollMinSize = new System.Drawing.Size(2, 19);
            this.OutCodeMenuH.BackBrush = null;
            this.OutCodeMenuH.BackColor = System.Drawing.Color.WhiteSmoke;
            this.OutCodeMenuH.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.OutCodeMenuH.CharHeight = 19;
            this.OutCodeMenuH.CharWidth = 9;
            this.OutCodeMenuH.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.OutCodeMenuH.DefaultMarkerSize = 8;
            this.OutCodeMenuH.DisabledColor = System.Drawing.Color.FromArgb(((int)(((byte)(100)))), ((int)(((byte)(180)))), ((int)(((byte)(180)))), ((int)(((byte)(180)))));
            this.OutCodeMenuH.Dock = System.Windows.Forms.DockStyle.Fill;
            this.OutCodeMenuH.Font = new System.Drawing.Font("Consolas", 9.75F);
            this.OutCodeMenuH.IsReplaceMode = false;
            this.OutCodeMenuH.Location = new System.Drawing.Point(4, 4);
            this.OutCodeMenuH.Name = "OutCodeMenuH";
            this.OutCodeMenuH.Paddings = new System.Windows.Forms.Padding(0);
            this.OutCodeMenuH.PreferredLineWidth = 130;
            this.OutCodeMenuH.ReservedCountOfLineNumberChars = 2;
            this.OutCodeMenuH.SelectionColor = System.Drawing.Color.FromArgb(((int)(((byte)(60)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(255)))));
            this.OutCodeMenuH.ServiceColors = ((FastColoredTextBoxNS.ServiceColors)(resources.GetObject("OutCodeMenuH.ServiceColors")));
            this.OutCodeMenuH.Size = new System.Drawing.Size(960, 614);
            this.OutCodeMenuH.TabIndex = 0;
            this.OutCodeMenuH.Zoom = 100;
            this.OutCodeMenuH.TextChanged += new System.EventHandler<FastColoredTextBoxNS.TextChangedEventArgs>(this.OutCodeMenuH_TextChanged);
            this.OutCodeMenuH.SelectionChangedDelayed += new System.EventHandler(this.OutCodeMenuH_SelectionChangedDelayed);
            this.OutCodeMenuH.AutoIndentNeeded += new System.EventHandler<FastColoredTextBoxNS.AutoIndentEventArgs>(this.OutCodeMenuH_AutoIndentNeeded);
            this.OutCodeMenuH.CustomAction += new System.EventHandler<FastColoredTextBoxNS.CustomActionEventArgs>(this.OutCodeMenuH_CustomAction);
            // 
            // tabPageMenuC
            // 
            this.tabPageMenuC.BackColor = System.Drawing.SystemColors.Control;
            this.tabPageMenuC.Controls.Add(this.OutCodeMenuC);
            this.tabPageMenuC.Location = new System.Drawing.Point(4, 25);
            this.tabPageMenuC.Name = "tabPageMenuC";
            this.tabPageMenuC.Padding = new System.Windows.Forms.Padding(4);
            this.tabPageMenuC.Size = new System.Drawing.Size(966, 618);
            this.tabPageMenuC.TabIndex = 2;
            this.tabPageMenuC.Text = "Menu.c";
            // 
            // OutCodeMenuC
            // 
            this.OutCodeMenuC.AutoCompleteBracketsList = new char[] {
        '(',
        ')',
        '{',
        '}',
        '[',
        ']',
        '\"',
        '\"',
        '\'',
        '\''};
            this.OutCodeMenuC.AutoIndentCharsPatterns = "^\\s*[\\w\\.]+(\\s\\w+)?\\s*(?<range>=)\\s*(?<range>[^;=]+);\n^\\s*(case|default)\\s*[^:]*(" +
    "?<range>:)\\s*(?<range>[^;]+);";
            this.OutCodeMenuC.AutoIndentExistingLines = false;
            this.OutCodeMenuC.AutoScrollMinSize = new System.Drawing.Size(38, 19);
            this.OutCodeMenuC.BackBrush = null;
            this.OutCodeMenuC.BackColor = System.Drawing.Color.WhiteSmoke;
            this.OutCodeMenuC.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.OutCodeMenuC.CharHeight = 19;
            this.OutCodeMenuC.CharWidth = 9;
            this.OutCodeMenuC.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.OutCodeMenuC.DefaultMarkerSize = 8;
            this.OutCodeMenuC.DisabledColor = System.Drawing.Color.FromArgb(((int)(((byte)(100)))), ((int)(((byte)(180)))), ((int)(((byte)(180)))), ((int)(((byte)(180)))));
            this.OutCodeMenuC.Dock = System.Windows.Forms.DockStyle.Fill;
            this.OutCodeMenuC.Font = new System.Drawing.Font("Consolas", 9.75F);
            this.OutCodeMenuC.IsReplaceMode = false;
            this.OutCodeMenuC.Location = new System.Drawing.Point(4, 4);
            this.OutCodeMenuC.Name = "OutCodeMenuC";
            this.OutCodeMenuC.Paddings = new System.Windows.Forms.Padding(0);
            this.OutCodeMenuC.PreferredLineWidth = 130;
            this.OutCodeMenuC.ReservedCountOfLineNumberChars = 2;
            this.OutCodeMenuC.SelectionColor = System.Drawing.Color.FromArgb(((int)(((byte)(60)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(255)))));
            this.OutCodeMenuC.ServiceColors = ((FastColoredTextBoxNS.ServiceColors)(resources.GetObject("OutCodeMenuC.ServiceColors")));
            this.OutCodeMenuC.Size = new System.Drawing.Size(958, 610);
            this.OutCodeMenuC.TabIndex = 0;
            this.OutCodeMenuC.Zoom = 100;
            this.OutCodeMenuC.TextChanged += new System.EventHandler<FastColoredTextBoxNS.TextChangedEventArgs>(this.OutCodeMenuC_TextChanged);
            this.OutCodeMenuC.TextChangedDelayed += new System.EventHandler<FastColoredTextBoxNS.TextChangedEventArgs>(this.OutCodeMenuC_TextChangedDelayed);
            this.OutCodeMenuC.AutoIndentNeeded += new System.EventHandler<FastColoredTextBoxNS.AutoIndentEventArgs>(this.OutCodeMenuC_AutoIndentNeeded);
            this.OutCodeMenuC.CustomAction += new System.EventHandler<FastColoredTextBoxNS.CustomActionEventArgs>(this.OutCodeMenuC_CustomAction);
            // 
            // MainForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(8F, 16F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.SystemColors.Control;
            this.ClientSize = new System.Drawing.Size(1600, 678);
            this.Controls.Add(this.panel2);
            this.Controls.Add(this.panel1);
            this.Controls.Add(this.toolStrip1);
            this.Name = "MainForm";
            this.Text = "Menu Generator";
            this.Load += new System.EventHandler(this.MainForm_Load);
            this.toolStrip1.ResumeLayout(false);
            this.toolStrip1.PerformLayout();
            this.panel1.ResumeLayout(false);
            this.panel1.PerformLayout();
            this.contextMenuStrip1.ResumeLayout(false);
            this.panel2.ResumeLayout(false);
            this.tabControl2.ResumeLayout(false);
            this.tabPagePRJ.ResumeLayout(false);
            this.tabPagePRJ.PerformLayout();
            this.tabPageMenuH.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.OutCodeMenuH)).EndInit();
            this.tabPageMenuC.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.OutCodeMenuC)).EndInit();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        // --- Объявление полей ---
        private System.Windows.Forms.ToolStrip toolStrip1;
        private System.Windows.Forms.ToolStripButton btn_prj_new;
        private System.Windows.Forms.ToolStripButton btn_prj_open;
        private System.Windows.Forms.ToolStripButton btn_prj_save;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        private System.Windows.Forms.ToolStripButton toolStripButtonMenuH;
        private System.Windows.Forms.ToolStripButton toolStripButtonMenuC;

        private System.Windows.Forms.Panel panel1;
        private System.Windows.Forms.TreeView treeView1;
        private System.Windows.Forms.ContextMenuStrip contextMenuStrip1;
        private System.Windows.Forms.ToolStripMenuItem cmnuAddNode;
        private System.Windows.Forms.ToolStripMenuItem cmnuRemoveNode;
        private System.Windows.Forms.ToolStripMenuItem RenameMenu;

        private System.Windows.Forms.Label label12;
        private System.Windows.Forms.Label label65;
        private System.Windows.Forms.TextBox tBoxNameNode;
        private System.Windows.Forms.Label label63;
        private System.Windows.Forms.TextBox tBoxTypeNode;
        private System.Windows.Forms.Label label62;
        private System.Windows.Forms.TextBox tBoxVolNode;
        private System.Windows.Forms.Label label55;
        private System.Windows.Forms.TextBox tBoxMinNode;
        private System.Windows.Forms.Label label54;
        private System.Windows.Forms.TextBox tBoxMaxNode;
        private System.Windows.Forms.Label label53;
        private System.Windows.Forms.TextBox tBoxStepNode;
        private System.Windows.Forms.Label label64;
        private System.Windows.Forms.TextBox tBoxTagNode;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.TextBox tBoxParent;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.TextBox tBoxChFirst;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.TextBox tBoxChEnd;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.TextBox tBoxCount;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.TextBox textBox1;
        private System.Windows.Forms.Label label66;
        private System.Windows.Forms.TextBox txtNewNodeName;

        private System.Windows.Forms.Panel panel2;
        private System.Windows.Forms.TabControl tabControl2;
        private System.Windows.Forms.TabPage tabPagePRJ;
        private System.Windows.Forms.TabPage tabPageMenuH;
        private System.Windows.Forms.TabPage tabPageMenuC;
        private FastColoredTextBoxNS.FastColoredTextBox OutCodeMenuH;
        private FastColoredTextBoxNS.FastColoredTextBox OutCodeMenuC;

        private System.Windows.Forms.Label label10;
        private System.Windows.Forms.Label lbNamePRJ;
        private System.Windows.Forms.Label label21;
        private System.Windows.Forms.Label lbPatchPRJ;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.Label lbCountNode;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.Label lbNameMenu;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.TextBox tBoxNameMenu;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.ComboBox cBoxTypeLCD;
        private System.Windows.Forms.Label label11;
        private System.Windows.Forms.ComboBox cBoxTypeControl;
        private System.Windows.Forms.Label label15;
        private System.Windows.Forms.ComboBox cBoxTypeCPU;
        private System.Windows.Forms.Label label20;
        private System.Windows.Forms.TextBox tBoxCountPMenu;
        private System.Windows.Forms.Button button1;
        private System.Windows.Forms.Button button3;

        private System.Windows.Forms.SaveFileDialog saveFileDialog1;
        private System.Windows.Forms.OpenFileDialog openFileDialog1;
    }
}